Closed Bug 574070 Opened 9 years ago Closed 9 years ago

Intermittent timeout in test_ws_basic_tests.html

Categories

(Core :: DOM: Core & HTML, defect)

x86
Linux
defect
Not set

Tracking

()

RESOLVED WORKSFORME

People

(Reporter: ehsan, Unassigned)

References

Details

(Keywords: intermittent-failure)

http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1277316983.1277317786.16518.gz#err0
Rev3 Fedora 12x64 mozilla-central opt test mochitests-1/5 on 2010/06/23 11:16:23

Smaug: didn't know wellington's bugzilla ID.
This may have been caused by the gcc 4.5 upgrade, but I think we should keep this open in case it reappears.
I've put a logging patch in bug 572975 to try to realize what is happening, because these failures don't happen in my machine. Olli is going to try that in his machine. Well, anyway, how could gcc's upgrade cause this?
The gcc upgrade caused at least two other seemingly inexplicable failures.
Olli, this one is fixed too, isn't it?
I think so. At least there haven't been any failures in the last few days.
Status: NEW → RESOLVED
Closed: 9 years ago
Resolution: --- → FIXED
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1290134463.1290139655.3881.gz
WINNT 5.2 comm-central-trunk debug test mochitests-1/5 on 2010/11/18 18:41:03
{
...
31011 INFO TEST-PASS | /tests/content/base/test/test_ws_basic_tests.html | Wrong message - "test message100" should equal "test message100"
31012 ERROR TEST-UNEXPECTED-FAIL | /tests/content/base/test/test_ws_basic_tests.html | Test timed out.
31013 INFO TEST-END | /tests/content/base/test/test_ws_basic_tests.html | finished in 354923ms
}

354.923 s +=- 360 s : this test can simply be to slow as is.
Status: RESOLVED → REOPENED
Resolution: FIXED → ---
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1290879620.1290885278.2605.gz
WINNT 5.2 comm-central-trunk debug test mochitests-1/5 on 2010/11/27 09:40:20
{
31027 ERROR TEST-UNEXPECTED-FAIL | /tests/content/base/test/test_ws_basic_tests.html | Test timed out.
31028 INFO TEST-END | /tests/content/base/test/test_ws_basic_tests.html | finished in 350700ms
}

350.700 s +=- 360 s.
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1293193903.1293199495.7899.gz
WINNT 5.2 comm-central-trunk debug test mochitests-1/5 on 2010/12/24 04:31:43
{
31064 INFO TEST-PASS | /tests/content/base/test/test_ws_basic_tests.html | Wrong message - "test message100" should equal "test message100"
31065 ERROR TEST-UNEXPECTED-FAIL | /tests/content/base/test/test_ws_basic_tests.html | Test timed out.
31066 INFO TEST-END | /tests/content/base/test/test_ws_basic_tests.html | finished in 381724ms
}
Moving SeaMonkey issue to bug 621347: it looks unrelated to the initial Linux Firefox issue.
Status: REOPENED → RESOLVED
Closed: 9 years ago9 years ago
Resolution: --- → WORKSFORME
Whiteboard: [orange]
Component: DOM → DOM: Core & HTML
You need to log in before you can comment on or make changes to this bug.